Skip to content

product-groups​


Get product groups​

GET
/accounts/{accountUuid}/products/v2/product-groups

Get all product groups

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

groupNumber

groupNumber to search for

Type
integer
onlyArchived

if true only archived items are returend

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"id": 0,
  
  
  
"groupNumber": 0,
  
  
  
"bookingAccountNumber": "string",
  
  
  
"isArchived": true,
  
  
  
"isDeletable": true,
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string"
  
  
  
  
}
  
  
  
}
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​